#include <iostream>
#include <vector>
#include <algorithm>

/* run this program using the console pauser or add your own getch, system("pause") or input loop */
using namespace std;

int main(int argc, char** argv) {
    int a, b;
    cin >> a >> b;
    int s = a;
    if (a > b)
        cout << 0;
    else
    {
        int k = 1;
        while (s + a + k <= b)
        {
            s += a + k;
            k += 1;
        }
		cout << k;    
    }

	return 0;
}

